FROM moxm/java:1.8-full

RUN mkdir -p /yifu-process-biz

WORKDIR yifu-process-biz

ARG JAR_FILE=target/yifu-process-biz.jar

COPY ${JAR_FILE} app.jar

EXPOSE 25087

ENV TZ=Asia/Shanghai JAVA_OPTS="-Xms128m -Xmx256m -Djava.security.egd=file:/dev/./urandom"

CMD sleep 60; java -jar app.jar $JAVA_OPTS
